database_api.list_withdraw_vesting_routes
Purpose
베스팅 인출 경로 목록을 반환합니다. 파라미터: start:array; limit:int; order:string
start는order에 따라 달라집니다 (아래 참고)limit는 최대 1000입니다.order는 다음 중 하나:by_withdraw_route- 인출 경로 순start는from_account,to_account두 값으로 이루어진 배열입니다
by_destination- 목적지 순start는to_account,route_id두 값으로 이루어진 배열입니다
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | 처음 10개 경로를, 인출 경로 순으로 조회합니다 | | ["", 0] | 10 | "by_destination" | 처음 10개 경로를, 목적지 순으로 조회합니다 |
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"temp",
""
],
"limit": 10,
"order": "by_withdraw_route"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"",
0
],
"limit": 10,
"order": "by_destination"
},
"id": 1
}'Response
RESPONSE
json
{
"routes": [
{
"id": 39503,
"from_account": "temperature",
"to_account": "luckdiver",
"percent": 10000,
"auto_vest": false
}
]
}